## SYNOPSIS

           chfn [-f  name]  [-r room] [-w work_phone] [-h home_phone]
                [-o other] [-q] [-u] [-v] [user]

## DESCRIPTION

           chfn is used to change the user finger  information.  This
           are  the  users fullname, office room number, office phone
           number and home phone number. This information  is  stored
           in the /etc/passwd file and typically printed by finger(1)
           and similiar programs. A normal user may only  change  the
           fields  for  their  own account, the super user may change
           the fields for any account. Also, only the super user  may
           use  the -o option to change the undefined portions of the
           GCOS field.

           If no information is given on the command line, chfn oper
           ates  in  an  interactive  fashion, prompting the user for
           each field.  Enter the new value to change the  field,  or
           leave  the line blank to use the current value. Enter none
           or a blank only to remove the current value.  The  current
           value is displayed between a pair of [ ] marks.

           The only restrictions placed on the contents of the fields
           is that no control characters may be present, nor  any  of
           comma, colon, or equal sign. The other field does not have
           this restriction, and is used to store accounting informa
           tion used by other applications.

           This version of chfn is able to change the shell of local,
           NIS, NIS+ and LDAP accounts, if the permissions allow  it.

## OPTIONS

           -f, --full-name
                  Specify your real name.

           -r, --room
                  Specify your office room number.

           -w, --work-phone
                  Specify your office phone number.

           -h, --home-phone
                  Specify your home phone number.

           -o, --other
                  Specify the undefined portions of the GCOS field.

           -q, --quite
                  Don't be verbose.

           -u, --usage
                  Print a usage message and exit.

           Thorsten Kukuk <kukuk@suse.de>

    pwdutils                   January 2002                   chfn(1)